%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:          lingot
Version:       1.1.1
Release:       %mkrel 1
Summary:       A musical instrument tuner
Group:         Sound/Utilities
License:       GPLv2+
URL:           https://savannah.nongnu.org/projects/lingot
Source0:       https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: intltool
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(libpulse)

%description
LINGOT is a musical instrument tuner. It's accurate, easy to use, and highly
configurable. Originally conceived to tune electric guitars, it can now be used
to tune other instruments.

It looks like an analogue tuner, with a gauge indicating the relative shift to
a certain note, found automatically as the closest note to the estimated
frequency.

%package -n %{libname}
Summary:         Shared library for %{name}
Group:           System/Libraries

%description -n %{libname}
Shared library for %{name}.

%package -n %{devname}
Summary:        Development headers files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers and shared libraries for %{name}.
NOTE: The library is currently experimental and its interface is
subject to change.

%prep
%autosetup -p0

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README README.config THANKS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.nongnu.%{name}.desktop
%{_metainfodir}/org.nongnu.%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/org.nongnu.%{name}.svg
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%license COPYING
%{_libdir}/liblingot.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/lingot/
%{_libdir}/liblingot.so
%{_libdir}/pkgconfig/lingot.pc


%changelog
* Mon Jun 03 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2069581
- new version: 1.1.1

* Thu Mar 31 2022 umeabot <umeabot> 1.0.1-3.mga9
+ Revision: 1837619
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1519743
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 19 2018 akien <akien> 1.0.1-1.mga7
+ Revision: 1322339
- Version 1.0.1

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-10.mga7
+ Revision: 1299307
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 0.9.1-9.mga7
+ Revision: 1236070
- fix build on aarch64

* Mon Feb 15 2016 umeabot <umeabot> 0.9.1-8.mga6
+ Revision: 961268
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.1-7.mga6
+ Revision: 895248
- add more doc to fix build with latest rpm
- exclude also some doc

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-6.mga5
+ Revision: 740454
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-5.mga5
+ Revision: 681943
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.1-4.mga4
+ Revision: 507503
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 358826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 barjac <barjac> 0.9.1-2.mga3
+ Revision: 324588
- Changed group to new policy

* Mon Jan 23 2012 fwang <fwang> 0.9.1-1.mga2
+ Revision: 200290
- new version 0.9.1

* Sat Apr 16 2011 shikamaru <shikamaru> 0.9.0-1.mga1
+ Revision: 86032
- New version 0.9.0
- rediff patch
- clean spec (buildroot, define, one BR per line)
- imported package lingot


* Tue Dec 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.8.1-1mdv2011.0
+ Revision: 623712
- import lingot (based on spec provided in (mdv#61961))

